Package org.apache.cayenne.access.flush.operation

## Class BaseDbRowOp

- java.lang.Object
- - org.apache.cayenne.access.flush.operation.BaseDbRowOp

- All Implemented Interfaces:
    `DbRowOp`
  Direct Known Subclasses:
    `DeleteDbRowOp`, `DeleteInsertDbRowOp`, `InsertDbRowOp`, `UpdateDbRowOp`

      public abstract class BaseDbRowOp
      extends Object
      implements DbRowOp

  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ObjectId` | `changeId` |
    `protected DbEntity` | `entity` |
    `protected int` | `hashCode` |
    `protected Persistent` | `object` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BaseDbRowOp​(Persistent object, DbEntity entity, ObjectId id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `ObjectId` | `getChangeId()` |
    `DbEntity` | `getEntity()` |
    `Persistent` | `getObject()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.flush.operation.DbRowOp

      `accept, isSameBatch`

- - ### Field Detail

    - #### object

          protected final Persistent object

    - #### entity

          protected final DbEntity entity

    - #### changeId

          protected ObjectId changeId

    - #### hashCode

          protected int hashCode

  - ### Constructor Detail

    - #### BaseDbRowOp

          protected BaseDbRowOp​(Persistent object,
                                DbEntity entity,
                                ObjectId id)

  - ### Method Detail

    - #### getEntity

          public DbEntity getEntity()

      Specified by:
        `getEntity` in interface `DbRowOp`

    - #### getChangeId

          public ObjectId getChangeId()

      Specified by:
        `getChangeId` in interface `DbRowOp`

    - #### getObject

          public Persistent getObject()

      Specified by:
        `getObject` in interface `DbRowOp`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`